import React from "react";
import { CalendarTheme } from "./types";
export declare const CalendarContext: React.Context<{
    moment: (...args: any) => import("./moment-types/moment-subset").MomentSubset;
    utils: {
        msInHour: number;
        datesEqual: (d1: Date, d2: Date) => boolean;
        formatAsMonth: (date: Date) => string;
        formatAsDateWithTime: (date: Date) => string;
        formatAsDateJustTime: (date: Date) => string;
        formatAsDate: (date: Date) => string;
        shouldHideWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: import("./types").AvailabilityEvent[]) => boolean | null;
        shouldShowWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: import("./types").AvailabilityEvent[]) => boolean;
        availByIndex: (days: Date[], avails: import("./types").AvailabilityEvent[]) => {
            hasAvail: boolean;
        }[];
        addBlockOutBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], provideTimeZone: string, bookings: import("./types").Booking[], periodStart: Date, periodEnd: Date) => import("./types").Booking[];
        availabilitiesFromBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], providerTimeZone: string, bookings: import("./types").Booking[], now: Date, periodStartArg: Date, periodEnd: Date) => import("./types").AvailabilityEvent[];
        toStartAndEnd: (range: import("./types").Range) => {
            startDate: Date;
            endDate: Date;
        };
        monthRangeForDate: (d: Date) => {
            start: Date;
            end: Date;
        };
        monthDaysForDate: (date: Date) => {
            weeks: Date[][];
            days: Date[];
        };
        chunkify: (intervals: import("./types").AvailabilityEvent[], chunkLenMs: number, stepLenMs: number) => import("./types").AvailabilityEvent[];
    };
    theme: CalendarTheme;
}>;
export declare const useCalendarContext: () => {
    moment: (...args: any) => import("./moment-types/moment-subset").MomentSubset;
    utils: {
        msInHour: number;
        datesEqual: (d1: Date, d2: Date) => boolean;
        formatAsMonth: (date: Date) => string;
        formatAsDateWithTime: (date: Date) => string;
        formatAsDateJustTime: (date: Date) => string;
        formatAsDate: (date: Date) => string;
        shouldHideWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: import("./types").AvailabilityEvent[]) => boolean | null;
        shouldShowWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: import("./types").AvailabilityEvent[]) => boolean;
        availByIndex: (days: Date[], avails: import("./types").AvailabilityEvent[]) => {
            hasAvail: boolean;
        }[];
        addBlockOutBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], provideTimeZone: string, bookings: import("./types").Booking[], periodStart: Date, periodEnd: Date) => import("./types").Booking[];
        availabilitiesFromBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], providerTimeZone: string, bookings: import("./types").Booking[], now: Date, periodStartArg: Date, periodEnd: Date) => import("./types").AvailabilityEvent[];
        toStartAndEnd: (range: import("./types").Range) => {
            startDate: Date;
            endDate: Date;
        };
        monthRangeForDate: (d: Date) => {
            start: Date;
            end: Date;
        };
        monthDaysForDate: (date: Date) => {
            weeks: Date[][];
            days: Date[];
        };
        chunkify: (intervals: import("./types").AvailabilityEvent[], chunkLenMs: number, stepLenMs: number) => import("./types").AvailabilityEvent[];
    };
    theme: CalendarTheme;
};
export declare const CalendarContextProvider: ({ moment, theme, children }: any) => JSX.Element;
