import React from 'react';
import { RenderAvailProps, Booking, AvailabilityEvent, CalendarTheme } from './types';
export declare const RenderAvailSlots: React.SFC<RenderAvailProps>;
export declare const AddBookingFromAvailabilitySlots: ({ avails, slotLengthMs, slotStepMs, onAvailabilitySelected, theme, utils, }: {
    avails: Booking[];
    theme: CalendarTheme;
    durationMinutes: number;
    slotLengthMs?: number | undefined;
    slotStepMs?: number | undefined;
    onAvailabilitySelected: (e: AvailabilityEvent) => any;
    utils: {
        msInHour: number;
        datesEqual: (d1: Date, d2: Date) => boolean;
        formatAsMonth: (date: Date) => string;
        formatAsDateWithTime: (date: Date) => string;
        formatAsDateJustTime: (date: Date) => string;
        formatAsDate: (date: Date) => string;
        shouldHideWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: AvailabilityEvent[]) => boolean | null;
        shouldShowWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: AvailabilityEvent[]) => boolean;
        availByIndex: (days: Date[], avails: AvailabilityEvent[]) => {
            hasAvail: boolean;
        }[];
        addBlockOutBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], provideTimeZone: string, bookings: Booking[], periodStart: Date, periodEnd: Date) => Booking[];
        availabilitiesFromBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], providerTimeZone: string, bookings: Booking[], now: Date, periodStartArg: Date, periodEnd: Date) => AvailabilityEvent[];
        toStartAndEnd: (range: import("./types").Range) => {
            startDate: Date;
            endDate: Date;
        };
        monthRangeForDate: (d: Date) => {
            start: Date;
            end: Date;
        };
        monthDaysForDate: (date: Date) => {
            weeks: Date[][];
            days: Date[];
        };
        chunkify: (intervals: AvailabilityEvent[], chunkLenMs: number, stepLenMs: number) => AvailabilityEvent[];
    };
}) => JSX.Element;
